Subject: [Sip] Implication of Privacy header (rfc 3323/3325) to the REFER message

From: "Rajeev Narang (ranarang)" <[email-masked]>
Date: Fri, 13 Jul 2007 20:18:14 +0530

Hi,
 
In the RFC 3323 section 4.2, the REFER message isn't listed for
implication due to Privacy header.
 
In the following scenario, will it make sense to interpret the Privacy
header for doing the display restriction to the refer-to party.
 
A--------
         |
B------B2BUA--------------C
 
C sends a OOD REFER to establish a call from A to B (refer-to).
Say, REFER carries a Privacy:id header.
 
Should B2BUA try to use the info from Privacy header in REFER header
while establishing a call from A to B. If say B is not trusted, should
B2BUA restricts the caller A's info for sending to B by not sending the
PAI header and having the From header with anonymous data.
 
Thanks & Regards,
Rajeev

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Sanjay Sinha \(sanjsinh\)" <[email-masked]>
Date: Fri, 13 Jul 2007 12:35:11 -0400

I think B2BUA is providing privacy service for C, so if B is not, it
should not send A's identity in Invite request to it.

________________________________

	From: Rajeev Narang (ranarang) 
	Sent: Friday, July 13, 2007 10:48 AM
	To: [email-masked]
	Subject: [Sip] Implication of Privacy header (rfc 3323/3325) to
the REFERmessage

	Hi,

	In the following scenario, will it make sense to interpret the
Privacy header for doing the display restriction to the refer-to party.
	 
	A--------
	         |

	Should B2BUA try to use the info from Privacy header in REFER
header while establishing a call from A to B. If say B is not trusted,
should B2BUA restricts the caller A's info for sending to B by not
sending the PAI header and having the From header with anonymous data.
	 
	Thanks & Regards,
	Rajeev